"use client";
import { __rest } from "tslib";
import Link from "next/link";
import { usePathname } from "next/navigation";
import { cn } from "../../../lib/utils";
import { buttonVariants } from "../../../components/ui/button";
import React from "react";
export function SidebarNav(_a) {
    var { className, items } = _a, props = __rest(_a, ["className", "items"]);
    const pathname = usePathname();
    return (<nav className={cn("flex hide-scrollbar space-x-2 p-2 lg:flex-col lg:space-x-0 lg:space-y-1 bg-white  md:h-full overflow-y-auto", className)} {...props}>
      {items.map((item) => (<Link key={item.href} href={item.href} className={cn(buttonVariants({ variant: "ghost" }), pathname === item.href
                ? "bg-muted hover:bg-muted"
                : "hover:bg-transparent hover:underline", "justify-start")}>
          {item.title}
        </Link>))}
    </nav>);
}
