"use client";
import { Checkbox } from "../../../../components/ui/checkbox";
import { statusNew } from "../data/data";
import { DataTableColumnHeader } from "./data-table-column-header";
import { DataTableRowActions } from "./data-table-row-actions";
import SideNav from "./SideNav";
import { useState } from "react";
import React from "react";
export const columns = ({ onRefresh, onCallDelete, onCallStatus, supabase }) => [
    {
        id: "select",
        header: ({ table }) => (<Checkbox 
        // checked={
        //   table.getIsAllPageRowsSelected() ||
        //   (table.getIsSomePageRowsSelected() && "indeterminate")
        // }
        checked={table.getIsAllPageRowsSelected() ?
                true :
                (table.getIsSomePageRowsSelected() ? "indeterminate" : false)} onCheckedChange={(value) => table.toggleAllPageRowsSelected(!!value)} aria-label="Select all" className="translate-y-[2px]"/>),
        cell: ({ row }) => (<Checkbox checked={row.getIsSelected()} onCheckedChange={(value) => row.toggleSelected(!!value)} aria-label="Select row" className="translate-y-[2px]"/>),
        enableSorting: false,
        enableHiding: false,
    },
    {
        accessorKey: "name",
        header: ({ column }) => (<DataTableColumnHeader column={column} title="Name"/>),
        cell: ({ row }) => <div className="">{row.getValue("name")}</div>,
        enableSorting: false,
        enableHiding: false,
    },
    {
        accessorKey: "type",
        header: ({ column }) => (<DataTableColumnHeader column={column} title="Type"/>),
        cell: ({ row }) => <div className="w-[80px]">{row.getValue("type")}</div>,
        enableSorting: false,
        enableHiding: false,
    },
    {
        accessorKey: "privilege_type",
        header: ({ column }) => (<DataTableColumnHeader column={column} title="Privilege"/>),
        cell: ({ row }) => (<div className="w-[80px]">{row.getValue("privilege_type")}</div>),
        enableSorting: false,
        enableHiding: false,
    },
    // {
    //   accessorKey: "type",
    //   header: ({ column }) => (
    //     <DataTableColumnHeader column={column} title="Type" />
    //   ),
    //   cell: ({ row }) => {
    //     const label = roleType.find((label) => label.value === row.original.type)
    //     return (
    //       <div className="flex space-x-2">
    //         {label && <Badge variant="outline">{label.label}</Badge>}
    //         <span className="max-w-[500px] truncate font-medium">
    //           {row.getValue("type")}
    //         </span>
    //       </div>
    //     )
    //   },
    // },
    {
        accessorKey: "status",
        header: ({ column }) => (<DataTableColumnHeader column={column} title="Status"/>),
        cell: ({ row }) => {
            const status = statusNew.find((status) => status.value === row.getValue("status"));
            if (!status) {
                return null;
            }
            // const iconColor = status.value === "Active" ? "green" : "red";
            return (<div className="flex w-[100px] items-center">
         {status.icon && (<status.icon />)}
          <span>{status.label}</span>
        </div>);
        },
        filterFn: (row, id, value) => {
            return value.includes(row.getValue(id));
        },
    },
    // {
    //   accessorKey: "plan_name",
    //   header: ({ column }) => (
    //     <DataTableColumnHeader column={column} title="Plan" />
    //   ),
    //   cell: ({ row }) => {
    //     const priority = planNames.find(
    //       (priority) => priority.value === row.getValue("plan_name")
    //     )
    //     if (!priority) {
    //       return null
    //     }
    //     return (
    //       <div className="flex items-center">
    //         {/* {priority.icon && (
    //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
    //         )} */}
    //         <span>{priority.label}</span>
    //       </div>
    //     )
    //   },
    //   filterFn: (row, id, value) => {
    //     return value.includes(row.getValue(id))
    //   },
    // },
    {
        id: "actions",
        cell: ({ row }) => {
            const [showSideNav, setShowSideNav] = useState(false);
            const [rowData, setRowData] = useState(null);
            const handleStatus = (value) => {
                onCallStatus(value);
            };
            const handleEdit = (value) => {
                console.log("Edit clicked for:", value === null || value === void 0 ? void 0 : value.id);
                // Set state to true to show SideNav component
                setRowData(value);
                setShowSideNav(true);
            };
            const handleDelete = (value) => {
                console.log("Delete clicked for:", value === null || value === void 0 ? void 0 : value.id);
                // Set state to true to show SideNav component
                onCallDelete(value);
            };
            const onClose = () => {
                setShowSideNav(false);
            };
            // Conditionally render SideNav based on showSideNav state
            return (<>
          <DataTableRowActions row={row} onEdit={handleEdit} onDelete={handleDelete} onStatus={handleStatus}/>
          {rowData && showSideNav && <SideNav setShowSideNav={setShowSideNav} onRefresh={onRefresh} isEdit={true} showSideNav={showSideNav} data={rowData} onClose={onClose} supabase={supabase}/>}
        </>);
        },
    },
];
