"use client";
import { Checkbox } from "../../../../components/ui/checkbox";
import { statusNew } from "../data/data";
import { DataTableColumnHeader } from "./data-table-column-header";
import { DataTableRowActions } from "./data-table-row-actions";
import SideNav from "./SideNav";
import { useState } from "react";
import React from "react";
export const columns = ({ onRefresh, onCallDelete, oncallStatus, supabase }) => [
    {
        id: "select",
        header: ({ table }) => (<Checkbox checked={table.getIsAllPageRowsSelected() ?
                true :
                (table.getIsSomePageRowsSelected() ? "indeterminate" : false)} onCheckedChange={(value) => table.toggleAllPageRowsSelected(!!value)} aria-label="Select all" className="translate-y-[2px]"/>),
        cell: ({ row }) => (<Checkbox checked={row.getIsSelected()} onCheckedChange={(value) => row.toggleSelected(!!value)} aria-label="Select row" className="translate-y-[2px]"/>),
        enableSorting: false,
        enableHiding: false,
    },
    {
        accessorKey: "name",
        header: ({ column }) => (<DataTableColumnHeader column={column} title="Name"/>),
        cell: ({ row }) => <div className="w-[80px]">{row.getValue("name")}</div>,
        enableSorting: false,
        enableHiding: false,
    },
    {
        accessorKey: "email",
        header: ({ column }) => (<DataTableColumnHeader column={column} title="Email"/>),
        cell: ({ row }) => <div className="w-[80px]">{row.getValue("email")}</div>,
        enableSorting: false,
        enableHiding: false,
    },
    {
        accessorKey: "country_code",
        header: ({ column }) => (<DataTableColumnHeader column={column} title=""/>),
        cell: ({ row }) => {
            console.log("Country Code:", row.getValue("country_code"));
            // return <div className="w-[80px]">{row.getValue("country_code")}</div>;
        },
        enableSorting: false,
        enableHiding: false,
    },
    {
        accessorKey: "phone",
        header: ({ column }) => (<DataTableColumnHeader column={column} title="Phone"/>),
        cell: ({ row }) => (
        // <div className="w-[125px]" style={{ width: '' }}>
        //   {(row.getValue("country_code") as string) +"-"+ (row.getValue("phone") as string)}
        // </div>
        <div className="w-[125px]" style={{ width: '' }}>
  {(() => {
                let countryCode = row.getValue("country_code");
                let phone = row.getValue("phone");
                // Remove '+' and '-' from countryCode and phone
                countryCode = countryCode.replace(/[+-]/g, '');
                phone = phone.replace(/[+-]/g, '');
                if (phone.includes(countryCode)) {
                    phone = phone.replace(countryCode, `${countryCode}-`);
                }
                return `${"+"}${phone}`;
            })()}
        </div>),
        enableSorting: false,
        enableHiding: false,
    },
    // {
    //   accessorKey: "default_user_name",
    //   header: ({ column }) => (
    //     <DataTableColumnHeader column={column} title="Default UserName" />
    //   ),
    //   cell: ({ row }) => {
    //     const label = labels.find((label) => label.value === row.original.default_user_name)
    //     return (
    //       <div className="flex space-x-2">
    //         {label && <Badge variant="outline">{label.label}</Badge>}
    //         <span className="max-w-[500px] truncate font-medium">
    //           {row.getValue("default_user_name")}
    //         </span>
    //       </div>
    //     )
    //   },
    // },
    {
        accessorKey: "status",
        header: ({ column }) => (<DataTableColumnHeader column={column} title="Status"/>),
        cell: ({ row }) => {
            const status = statusNew.find((status) => status.value === row.getValue("status"));
            if (!status) {
                return null;
            }
            // const iconColor = status.value === "Active" ? "green" : "red";
            return (<div className="flex w-[100px] items-center">
         {status.icon && (<status.icon />)}
          <span>{status.label}</span>
        </div>);
        }
    },
    // {
    //   accessorKey: "plan_name",
    //   header: ({ column }) => (
    //     <DataTableColumnHeader column={column} title="Plan" />
    //   ),
    //   cell: ({ row }) => {
    //     const priority = planNames.find(
    //       (priority) => priority.value === row.getValue("plan_name")
    //     )
    //     if (!priority) {
    //       return null
    //     }
    //     return (
    //       <div className="flex items-center">
    //         {/* {priority.icon && (
    //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
    //         )} */}
    //         <span>{priority.label}</span>
    //       </div>
    //     )
    //   },
    //   filterFn: (row, id, value) => {
    //     return value.includes(row.getValue(id))
    //   },
    // },
    {
        id: "actions",
        cell: ({ row }) => {
            const [showSideNav, setShowSideNav] = useState(false);
            const [rowData, setRowData] = useState(null);
            const handleEdit = (value) => {
                console.log("Edit clicked for:", value === null || value === void 0 ? void 0 : value.id);
                // Set state to true to show SideNav component
                setRowData(value);
                setShowSideNav(true);
            };
            const onClose = () => {
                setShowSideNav(false);
            };
            const handleStatus = (value) => {
                console.log("Tenant", value);
                oncallStatus(value);
            };
            const handleDelete = (value) => {
                console.log("Delete clicked for:", value === null || value === void 0 ? void 0 : value.id);
                // Set state to true to show SideNav component
                onCallDelete(value);
            };
            // Conditionally render SideNav based on showSideNav state
            return (<>
          <DataTableRowActions row={row} onEdit={handleEdit} onDelete={handleDelete} onStatus={handleStatus}/>
          {rowData && <SideNav setShowSideNav={setShowSideNav} onRefresh={onRefresh} isEdit={true} showSideNav={showSideNav} data={rowData} onClose={onClose} supabase={supabase}/>}
        </>);
        },
    },
];
