"use client";
import { Cross2Icon, PlusIcon } from "@radix-ui/react-icons";
import { useState } from "react";
import { Button } from "../../../../components/ui/button";
import { Input } from "../../../../components/ui/input";
import SideNav from "../components/SideNav";
import { DataTableViewOptions } from "./data-table-view-options";
import { DataTableFacetedFilter } from "./data-table-faceted-filter";
import React from "react";
export function DataTableToolbar({ table, onRefresh, supabase }) {
    const [searchValue, setSearchValue] = useState("");
    const [showSideNav, setShowSideNav] = useState(false);
    const onClose = () => {
        setShowSideNav(false);
    };
    const isFiltered = table.getState().globalFilter != null ||
        table.getState().columnFilters.length > 0;
    const handleSearchChange = (event) => {
        if (event.target.value.trim() != "") {
            setSearchValue(event.target.value);
            table.setGlobalFilter(event.target.value);
        }
        else {
            setSearchValue("");
            table.resetGlobalFilter();
        }
    };
    const status_data = [
        {
            value: "Active",
            label: "Active",
        },
        {
            value: "Inactive",
            label: "Inactive",
        },
        // {
        //               value: "Blocked",
        //               label: "Blocked",
        //             },
        // {
        //               value: "Deactivated",
        //               label: "Deactivated",
        //             },
    ];
    const resetFilters = () => {
        setSearchValue("");
        table.resetGlobalFilter();
        table.resetColumnFilters();
    };
    console.log("tt", table.getColumn("status"));
    return (<div className="flex items-center justify-between">
      <div className="flex flex-1 items-center space-x-2">
        <Input placeholder="Search..." value={searchValue} onChange={handleSearchChange} className="h-8 w-[150px] lg:w-[250px]"/>
        {table.getColumn("status") && (<DataTableFacetedFilter column={table.getColumn("status")} title="status" options={status_data}/>)}


        {isFiltered && (<Button variant="ghost" onClick={resetFilters} className="h-8 px-2 lg:px-3">
            Reset
            <Cross2Icon className="ml-2 h-4 w-4"/>
          </Button>)}
      </div>
      <DataTableViewOptions table={table}/>
      <Button variant="default" size="sm" onClick={() => setShowSideNav(true)} className="h-8 px-2 lg:px-3 ml-4">
        Add
        <PlusIcon className="ml-2 h-4 w-4"/>
      </Button>
      <SideNav onRefresh={onRefresh} setShowSideNav={setShowSideNav} isEdit={false} showSideNav={showSideNav} data={[]} onClose={onClose} supabase={supabase}/>
    
    </div>);
}
