import React from "react";
import { isValid, format } from "date-fns";
import cx from "classnames";
const DateViewer = ({ dateString }) => {
    const formattedDate = isValid(new Date(dateString))
        ? format(new Date(dateString), "dd/MM/yyyy hh:mm a")
        : "Invalid date";
    return (<span className={cx({ "text-invalid": !isValid(new Date(dateString)) })}>
      {formattedDate}
    </span>);
};
export default DateViewer;
