// 'use client';
// import * as React from 'react';
// import {
//   ColumnDef,
//   ColumnFiltersState,
//   SortingState,
//   VisibilityState,
//   flexRender,
//   getCoreRowModel,
//   getFacetedRowModel,
//   getFacetedUniqueValues,
//   getFilteredRowModel,
//   getPaginationRowModel,
//   getSortedRowModel,
//   useReactTable,
// } from '@tanstack/react-table';
// import {
//   Table,
//   TableBody,
//   TableCell,
//   TableHead,
//   TableHeader,
//   TableRow,
// } from '../../../../components/ui/table';
// import { DataTablePagination } from './data-table-pagination';
// import { DataTableToolbar } from './data-table-toolbar';
// import { PasubotClient } from "pasubot-js";
// import { Skeleton } from '../../../../components/ui/skeleton';
// interface DataTableProps<TData, TValue> {
//   columns: ColumnDef<TData, TValue>[];
//   data: any;
//   isLoading: boolean;
//   onRefresh: () => void;
//   errorMessage: any;
//   message:any;
//   supabaseAuthAdmin:PasubotClient
// }
// export function DataTable<TData, TValue>({
//   columns,
//   data,
//   isLoading,
//   onRefresh,
//   errorMessage,
//   message,
//   supabaseAuthAdmin,
// }: DataTableProps<TData, TValue>) {
//   const [rowSelection, setRowSelection] = React.useState({});
//   const [columnVisibility, setColumnVisibility] =
//     React.useState<VisibilityState>({});
//   const [columnFilters, setColumnFilters] = React.useState<ColumnFiltersState>(
//     []
//   );
//   const [sorting, setSorting] = React.useState<SortingState>([]);
//   const pageSizeArray: number[] = [10, 20, 30, 50, 100];
//   const table = useReactTable({
//     data,
//     columns,
//     state: {
//       sorting,
//       columnVisibility,
//       rowSelection,
//       columnFilters,
//     },
//     initialState: { pagination: { pageSize: 10 } },
//     enableRowSelection: true,
//     onRowSelectionChange: setRowSelection,
//     onSortingChange: setSorting,
//     onColumnFiltersChange: setColumnFilters,
//     onColumnVisibilityChange: setColumnVisibility,
//     getCoreRowModel: getCoreRowModel(),
//     getFilteredRowModel: getFilteredRowModel(),
//     getPaginationRowModel: getPaginationRowModel(),
//     getSortedRowModel: getSortedRowModel(),
//     getFacetedRowModel: getFacetedRowModel(),
//     getFacetedUniqueValues: getFacetedUniqueValues(),
//     autoResetPageIndex: true,
//   });
//    console.log("Tab",table)
//   return (
//     <div className="space-y-4">
//       <DataTableToolbar table={table} onRefresh={onRefresh} supabaseAuthAdmin={supabaseAuthAdmin} />
//       <div className="rounded-md border">
//       {errorMessage ? (
//   <TableBody>
//     <TableRow>
//       <TableCell colSpan={columns.length}>
//       <p
//              style={{position:'absolute',zIndex:'4',width:'90%', textAlign: 'center',fontWeight:"bold"}}
//              className="h-8 px-2 lg:px-3 ml-4 mt-4"
//            >
//              {message ? message : "Data Not Found"}
//            </p>
//       </TableCell>
//     </TableRow>
//   </TableBody>
// ) : isLoading ? (
//   <TableBody>
//     {Array.from({ length: 2 }).map((_, index) => (
//       <TableRow key={`loading-${index}`}>
//         {table.getHeaderGroups().map((headerGroup) => (
//           <React.Fragment key={headerGroup.id}>
//             {headerGroup.headers.map((header) => (
//               <TableCell key={`${header.id}-${index}`} colSpan={header.colSpan} className="h-6">
//                 <Skeleton className="w-[100px] h-[20px] rounded-full" />
//               </TableCell>
//             ))}
//           </React.Fragment>
//         ))}
//       </TableRow>
//     ))}
//   </TableBody>
// ) : (
//   <Table>
//     <TableHeader>
//       {table.getHeaderGroups().map((headerGroup) => (
//         <TableRow key={headerGroup.id}>
//           {headerGroup.headers.map((header) => (
//             <TableHead key={header.id} colSpan={header.colSpan}>
//               {header.isPlaceholder ? null : flexRender(header.column.columnDef.header, header.getContext())}
//             </TableHead>
//           ))}
//         </TableRow>
//       ))}
//     </TableHeader>
//     <TableBody>
//       {table.getRowModel().rows && table.getRowModel().rows.length > 0 ? (
//         table.getRowModel().rows.map((row) => (
//           <TableRow key={row.id} data-state={row.getIsSelected() && 'selected'}>
//             {row.getVisibleCells().map((cell) => (
//               <TableCell key={cell.id}>
//                 {flexRender(cell.column.columnDef.cell, cell.getContext())}
//               </TableCell>
//             ))}
//           </TableRow>
//         ))
//       ) : (
//         <TableRow>
//           <TableCell colSpan={columns.length} className="h-24 text-center">
//             <Skeleton className="w-[100px] h-[20px] rounded-full" />
//           </TableCell>
//         </TableRow>
//       )}
//     </TableBody>
//   </Table>
// )}
//       </div>
//       <div className="flex items-center justify-between px-2">
//         <div className="flex-1 text-sm text-muted-foreground">
//           {table.getFilteredSelectedRowModel().rows.length} of{' '}
//           {table.getFilteredRowModel().rows.length} row(s) selected.
//         </div>
//         <DataTablePagination table={table} pageSizeArray={pageSizeArray} />
//       </div>
//     </div>
//   );
// }
"use client";
import * as React from "react";
import { flexRender, getCoreRowModel, getFacetedRowModel, getFacetedUniqueValues, getFilteredRowModel, getPaginationRowModel, getSortedRowModel, useReactTable, } from "@tanstack/react-table";
import { Table, TableBody, TableCell, TableHead, TableHeader, TableRow, } from "../../../../components/ui/table";
import { DataTablePagination } from "./data-table-pagination";
import { DataTableToolbar } from "./data-table-toolbar";
import { Skeleton } from "../../../../components/ui/skeleton";
export function DataTable({ columns, data, isLoading, onRefresh, supabaseAuthAdmin, errorMessage, message, dataLoader }) {
    var _a;
    const [rowSelection, setRowSelection] = React.useState({});
    const [columnVisibility, setColumnVisibility] = React.useState({});
    const [columnFilters, setColumnFilters] = React.useState([]);
    const [sorting, setSorting] = React.useState([]);
    const pageSizeArray = [10, 20, 30, 50, 100];
    const table = useReactTable({
        data,
        columns,
        state: {
            sorting,
            columnVisibility,
            rowSelection,
            columnFilters,
        },
        initialState: { pagination: { pageSize: 10 } },
        enableRowSelection: true,
        onRowSelectionChange: setRowSelection,
        onSortingChange: setSorting,
        onColumnFiltersChange: setColumnFilters,
        onColumnVisibilityChange: setColumnVisibility,
        getCoreRowModel: getCoreRowModel(),
        getFilteredRowModel: getFilteredRowModel(),
        getPaginationRowModel: getPaginationRowModel(),
        getSortedRowModel: getSortedRowModel(),
        getFacetedRowModel: getFacetedRowModel(),
        getFacetedUniqueValues: getFacetedUniqueValues(),
        autoResetPageIndex: true,
    });
    return (<div className="space-y-4">
         <DataTableToolbar table={table} onRefresh={onRefresh} supabaseAuthAdmin={supabaseAuthAdmin}/>
      <div className="rounded-md border">
        <Table>
          <TableHeader>
            {table.getHeaderGroups().map((headerGroup) => (<TableRow key={headerGroup.id}>
                {headerGroup.headers.map((header) => {
                return (<TableHead key={header.id} colSpan={header.colSpan}>
                      {header.isPlaceholder
                        ? null
                        : flexRender(header.column.columnDef.header, header.getContext())}
                    </TableHead>);
            })}
              </TableRow>))}
          </TableHeader>
          {errorMessage || dataLoader && data.length === 0 ? (<TableBody style={{ height: '100px' }}>
          <p style={{ position: 'absolute', zIndex: '4', width: '90%', textAlign: 'center', fontWeight: "bold" }} className="h-8 px-2 lg:px-3 ml-4 mt-4">
             {message ? message : "Data Not Found"}
           </p>
         </TableBody>) : (<TableBody>
          {isLoading ? (<>
              {table.getHeaderGroups().map((headerGroup) => (<TableRow key={headerGroup.id}>
                  {headerGroup.headers.map((header) => {
                        return (<TableCell key={header.id} colSpan={header.colSpan} className="h-6">
                     
                        <Skeleton className="w-[100px] h-[20px] rounded-full"/>
                      </TableCell>);
                    })}
                </TableRow>))}
              {table.getHeaderGroups().map((headerGroup) => (<TableRow key={headerGroup.id + "-2"}>
                  {headerGroup.headers.map((header) => {
                        return (<TableCell key={header.id + "-2"} colSpan={header.colSpan} className="h-6">
                        <Skeleton className="w-[100px] h-[20px] rounded-full"/>
                      </TableCell>);
                    })}
                </TableRow>))}
            </>) : ((_a = table.getRowModel().rows) === null || _a === void 0 ? void 0 : _a.length) ? (table.getRowModel().rows.map((row) => (<TableRow key={row.id} data-state={row.getIsSelected() && "selected"}>
                {row.getVisibleCells().map((cell) => (<TableCell key={cell.id}>
                    {flexRender(cell.column.columnDef.cell, cell.getContext())}
                  </TableCell>))}
              </TableRow>))) : (<TableRow>
              <TableCell colSpan={columns.length} className="h-24 text-center">
              <Skeleton className="w-[100px] h-[20px] rounded-full"/>
              </TableCell>
            </TableRow>)}
        </TableBody>)}
        </Table>
      </div>
      <div className="flex items-center justify-between px-2">
        <div className="flex-1 text-sm text-muted-foreground">
          {table.getFilteredSelectedRowModel().rows.length} of{" "}

    {table.getFilteredRowModel().rows.length} row(s) selected.

        </div>
        <DataTablePagination table={table} pageSizeArray={errorMessage ? [0] : pageSizeArray}/>
      </div>
    </div>);
}
