import React from "react";
import { Avatar, AvatarImage, AvatarFallback } from "../../../../components/ui/avatar";
import { ImageIcon } from "@radix-ui/react-icons";
const ImageViewer = ({ images }) => {
    const renderImage = (src, index) => {
        return (<Avatar key={index} style={{ marginRight: "4px" }}>
        <AvatarImage src={src} alt={`Image ${index}`} onError={(e) => {
                e.currentTarget.style.display = "none";
            }}/>
        <AvatarFallback>
          <ImageIcon />
        </AvatarFallback>
      </Avatar>);
    };
    return (<div>
      {images.length === 0 ? (<p>No image</p>) : (<div style={{ display: "flex" }}>
          {images.slice(0, 1).map(renderImage)}
          {images.length > 1 && (<Avatar key="more" style={{ marginRight: "4px" }}>
              <AvatarFallback>+{images.length - 1}</AvatarFallback>
            </Avatar>)}
        </div>)}
    </div>);
};
export default ImageViewer;
