import { Roboto as FontSans } from "next/font/google";
import { Toaster } from "../components/ui/toaster";
import { AuthProvider } from "../auth/useAuth";
import { cn } from "../lib/utils";
import "./globals.css";
import "./style.css";
import React from "react";
export const metadata = {
    title: "Create Next App",
    description: "Generated by create next app",
};
const fontSans = FontSans({
    subsets: ["latin"],
    variable: "--font-sans",
    weight: ["100", "300", "400", "500", "700", "900"],
});
export default function RootLayout({ children, }) {
    return (<html lang="en">
      <body className={cn("font-sans antialiased", fontSans.variable)}>
        <AuthProvider>
        <main>{children}</main>
        <Toaster />
        </AuthProvider>
        </body>

    </html>);
}
