// auth.ts
import { __awaiter } from "tslib";
import { createClient } from "pasubot-js-v2";
const supabaseUrl = process.env.NEXT_PUBLIC_SUPABASE_URL || "";
const supabaseAnonKey = process.env.NEXT_PUBLIC_SUPABASE_ANON_KEY || "";
const supabaseServiceKey = process.env.NEXT_PUBLIC_ROLEKEY || "";
const defaultStorageKey = `sb-${new URL(supabaseUrl).hostname.split(".")[0]}-auth-token`;
console.log("defaultStorageKey", defaultStorageKey);
let supabase;
let supabaseAuthAdmin = null;
function createSupabaseClient(token) {
    return createClient(supabaseUrl, supabaseAnonKey, {
        global: {
            headers: {
                MyToken: `Bearer ${token}`,
            },
            fetch: (input, init) => __awaiter(this, void 0, void 0, function* () {
                console.log("input", typeof input);
                const headers = Object.assign(Object.assign({}, ((init === null || init === void 0 ? void 0 : init.headers) || {})), { Authorization: `Bearer ${token}` });
                const response = yield fetch(typeof input === 'string' || input instanceof Request
                    ? input
                    : input instanceof URLSearchParams
                        ? new Request(input.toString(), init)
                        : input, Object.assign(Object.assign({}, init), { headers }));
                return response;
            }),
        },
    });
}
function initializeClients() {
    let clientAccessToken = undefined;
    let authAminAccessToken = undefined;
    if (typeof window !== "undefined") {
        // Check if running in the browser environment
        const userData = localStorage.getItem(defaultStorageKey) || "";
        try {
            const userDataObj = JSON.parse(userData);
            clientAccessToken = (userDataObj === null || userDataObj === void 0 ? void 0 : userDataObj.access_token) || supabaseAnonKey;
            authAminAccessToken = (userDataObj === null || userDataObj === void 0 ? void 0 : userDataObj.access_token) || supabaseServiceKey;
            console.log("userDataObj?.access_token", authAminAccessToken);
        }
        catch (error) {
            console.log("initializeClients errro", error);
        }
    }
    const clientToken = clientAccessToken || supabaseAnonKey;
    const authAdminToken = authAminAccessToken || supabaseServiceKey;
    supabase = createSupabaseClient(clientToken);
    supabaseAuthAdmin = createClient(supabaseUrl, supabaseServiceKey, {
        auth: {
            autoRefreshToken: false,
            persistSession: false,
        },
        global: {
            headers: {
                MyToken: `Bearer ${authAdminToken}`,
            },
            fetch: (input, init) => __awaiter(this, void 0, void 0, function* () {
                const headers = Object.assign(Object.assign({}, ((init === null || init === void 0 ? void 0 : init.headers) || {})), { Authorization: `Bearer ${authAdminToken}` });
                const response = yield fetch(typeof input === 'string' || input instanceof Request
                    ? input
                    : input instanceof URLSearchParams
                        ? new Request(input.toString(), init)
                        : input, Object.assign(Object.assign({}, init), { headers }));
                return response;
            }),
        },
    });
}
initializeClients();
export { supabase, supabaseAuthAdmin, initializeClients };
