"use client";
import { __awaiter } from "tslib";
import React, { createContext, useEffect, useState } from 'react';
import { supabase } from './auth';
import { useRouter, usePathname } from 'next/navigation'; // Use useRouter from next/navigation
export const AuthContext = createContext(null);
export const AuthProvider = ({ children }) => {
    const router = useRouter(); // Use useRouter hook
    const pathname = usePathname();
    const [session, setSession] = useState(null);
    const [requestedLocation, setRequestedLocation] = useState("");
    useEffect(() => {
        const fetchSession = () => __awaiter(void 0, void 0, void 0, function* () {
            const { data } = yield supabase.auth.getSession();
            if (data && data.session) {
                setSession(data.session);
            }
        });
        fetchSession();
    }, []);
    useEffect(() => {
        console.log('pathname', requestedLocation);
        if (!session) {
            console.log('pathname', 1);
            router.push('/login');
        }
        else if (session && requestedLocation) {
            console.log('pathname', 2);
            router.push(requestedLocation);
        }
        else {
            console.log('pathname', 3);
            router.push('/dashboard');
        }
    }, [session]);
    useEffect(() => {
        if (pathname !== null) {
            setRequestedLocation(pathname);
        }
    }, [pathname]);
    return (<AuthContext.Provider value={session}>
      {children}
    </AuthContext.Provider>);
};
