import React from "react";
import { Tooltip, TooltipTrigger, TooltipContent, TooltipProvider } from "../../components/ui/tooltip";
import { cn } from "../../lib/utils";
import InfoOutlineIcon from '@rsuite/icons/InfoOutline';
const TooltipViwer = ({ className, info }) => {
    return (<TooltipProvider>
      <Tooltip>
        <TooltipTrigger asChild>
          <span className={cn("icon", className)}>
            <InfoOutlineIcon style={{ fontSize: "0.9rem", marginLeft: "8px", cursor: "pointer" }}/>
          </span>
        </TooltipTrigger>
        <TooltipContent>
          <p>{info}</p>
        </TooltipContent>
      </Tooltip>
    </TooltipProvider>);
};
TooltipViwer.displayName = "TooltipViwer";
export default TooltipViwer;
