import React from 'react';
import { FormField, FormItem, FormLabel, FormControl, FormDescription, FormMessage, } from "../../components/ui/form"; // Make sure to import your custom form components
import { useFormContext } from 'react-hook-form';
import { MultipleSelect } from "../../components/ui/multipleSelect";
const FuzMultipleSelect = ({ required, label, info, name, options, placeholder }) => {
    const { control } = useFormContext();
    console.log("options", options);
    return (<FormField control={control} name={name} render={({}) => (<FormItem>
                    <FormLabel info={info} required={required}>{label}</FormLabel>
                    <FormControl>
                    <MultipleSelect name={name} options={options} placeholder={placeholder}/>
                    </FormControl>
                    <FormDescription>
                        {placeholder}
                    </FormDescription>
                    <FormMessage />
                </FormItem>)}/>);
};
export default FuzMultipleSelect;
