"use client";
import { FormField, FormItem, FormLabel, FormMessage, FormDescription, } from "../../components/ui/form";
import Select from 'react-select';
import { useFormContext } from 'react-hook-form';
import React from "react";
function FuzSelect({ placeholder, info, label, required, name, description, options, returnLabel, displayLabel }) {
    const { control } = useFormContext(); // Ensures form control is properly managed by react-hook-form
    // Normalizing options for react-select
    const normalizedOptions = options.map(option => (Object.assign(Object.assign({}, option), { value: option && returnLabel ? option[returnLabel] : option, label: option && displayLabel ? option[displayLabel] : option })));
    // Function to find an option by value
    const findOptionByValue = (value) => normalizedOptions.find(opt => opt.value === value);
    return (<FormField control={control} name={name} render={({ field }) => (<FormItem>
                    <FormLabel info={info} required={required}>{label}</FormLabel>
                    <Select options={normalizedOptions} onChange={selectedOption => field.onChange(selectedOption ? selectedOption.value : '')} value={findOptionByValue(field.value)} placeholder={placeholder} className="react-select-container" classNamePrefix="react-select"/>
                    <FormDescription>{description}</FormDescription>
                    <FormMessage />
                </FormItem>)}/>);
}
export default FuzSelect;
