"use client";
import { FormField, FormItem, FormLabel, FormMessage, } from "../../components/ui/form";
import Select from 'react-select';
import React from "react";
function FuzSelectObject({ displayLabel, name, options, form, info, required, label, }) {
    const normalizedOptions = options.map(option => {
        if (!option.hasOwnProperty('label') || !option.hasOwnProperty('value')) {
            return Object.assign(Object.assign({}, option), { label: displayLabel && option.hasOwnProperty(displayLabel) ? option[displayLabel] : 'Select', value: displayLabel && option.hasOwnProperty(displayLabel) ? option[displayLabel] : 'Select' });
        }
        return option;
    });
    const matchValue = (value) => {
        if (!value || typeof value !== 'object' || !value.hasOwnProperty('label') || !value.hasOwnProperty('value')) {
            return Object.assign(Object.assign({}, value), { label: displayLabel && (value === null || value === void 0 ? void 0 : value.hasOwnProperty(displayLabel)) ? value[displayLabel] : 'Select', value: displayLabel && (value === null || value === void 0 ? void 0 : value.hasOwnProperty(displayLabel)) ? value[displayLabel] : 'Select' });
        }
        return value;
    };
    return (<FormField control={form.control} name={name} render={({ field }) => (<FormItem>
                    <FormLabel info={info} required={required}>{label}</FormLabel>
                    <Select value={matchValue(field.value)} onChange={field.onChange} options={normalizedOptions}/>
                    <FormMessage />
                </FormItem>)}/>);
}
export default FuzSelectObject;
