"use client";
import { FormControl, FormDescription, FormField, FormItem, FormLabel, FormMessage, } from "../../components/ui/form";
import { Switch } from "../../components/ui/switch";
// form
import React from 'react';
function FuzSwitch({ switchType, label, name, placeholder, form, info, required }) {
    return (<FormField control={form.control} name={name} render={({ field }) => (<FormItem>
          <FormLabel info={info} required={required}>{label}</FormLabel>
          <div className="flex items-center space-x-2 relative">
            {switchType ? <FormItem className="w-full flex flex-row items-center justify-between rounded-lg border p-4">
              <div className="space-y-0.5">
                <FormLabel className="text-base">
                  {label}
                </FormLabel>
                <FormDescription>
                  {placeholder}
                </FormDescription>
              </div>
              <FormControl>
                <Switch checked={field.value} onCheckedChange={field.onChange}/>
              </FormControl>
            </FormItem> : <Switch checked={field.value} onCheckedChange={field.onChange}/>}
            {/* <div>
              {info && (
                <TooltipViwer info={info} />
              )}
            </div> */}
          </div>
          <FormDescription>
            {placeholder}
          </FormDescription>
          <FormMessage />
        </FormItem>)}/>);
}
export default FuzSwitch;
