import React from 'react';
import { FormField, FormItem, FormLabel } from '../../components/ui/form';
import { Input } from '../../components/ui/input';
const FuzTextField = ({ info, required, label, name, form, type }) => {
    const { formState: { errors } } = form;
    console.log("errors", errors);
    return (<FormField control={form.control} name={name} render={({ field }) => (<FormItem>
          <FormLabel info={info} required={required}>{label}</FormLabel>
          <Input placeholder={label} type={type} {...field}/>
          {errors[name] && (<span className="text-red-500">{errors[name].message}</span>)}
        </FormItem>)}/>);
};
export default FuzTextField;
