"use client";
import React from "react";
import { FormControl, FormField, FormItem, FormLabel, FormMessage, } from "../../components/ui/form";
import { Input } from "../../components/ui/input";
// form
function FuzTextFiled({ label, name, description, form, pattern, maxLength, minLength, type, info, placeholder, required }) {
    return (<FormField control={form.control} name={name} rules={{
            required: `${description} is required`,
            minLength: minLength
                ? {
                    value: minLength,
                    message: `${description} must be at least ${minLength} characters`
                }
                : undefined,
            maxLength: maxLength
                ? {
                    value: maxLength,
                    message: `${description} must not exceed ${maxLength} characters`
                }
                : undefined,
        }} render={({ field }) => (<FormItem>
            <FormLabel info={info} required={required}>{label}</FormLabel>
            <FormControl>
            <Input info={info} type={type} // Pass the type attribute
         placeholder={placeholder} minLength={minLength} // Pass the minLength attribute
         maxLength={maxLength} // Pass the maxLength attribute
         pattern={pattern} // Pass the pattern attribute
         {...field}/>
            </FormControl>
            {/* <FormDescription>{description}</FormDescription> */}
            <FormMessage />
            {/* {errors[name] && (
            <span className="text-red-500">{errors[name].message}</span>
          )} */}
          </FormItem>)}/>);
}
export default FuzTextFiled;
