// import React, { useEffect, useState } from 'react';
// import { Upload } from 'antd';
// import ImgCrop from 'antd-img-crop';
// import type { UploadProps, UploadFile } from 'antd/lib/upload/interface';
// import {
//   FormField,
//   FormItem,
//   FormLabel,
//   FormMessage,
// } from "../../components/ui/form";
// import supabase  from "../../components/utils/supabaseClient";
// import IMAGE_BASE_URL from '../../components/utils/config-global'
// interface ImageUploaderProps {
//   action: string;
//   listType?: 'text' | 'picture' | 'picture-card';
//   //   onUploadChange?: (fileList: UploadFile[]) => void;
//   name: string;
//   form: any;
//   label: string;
//   info?: string;
//   required?: boolean;
//   multiple?:number;
//   maxSize:number;
// }
// interface Data {
//   path: string;
//   fullPath?: string;
//   filePath?: string;
// }
// const ImageUploader: React.FC<ImageUploaderProps> = ({
//   listType = 'picture-card',
//   //   onUploadChange,
//   name, form, label, required, info,multiple=1,maxSize=3
// }) => {
//   const [fileList, setFileList] = useState<UploadFile[]>([]);
//   useEffect(() => {
//     const fileValues = form.getValues(name);  // This should return an array of URLs
//     if (fileValues&&fileList?.length===0) {
//       const newFileList = fileValues.map((item:any, index:number) => ({
//         uid: index.toString(),
//         name: item,
//         status: 'done',
//         url: item,
//       }));
//       setFileList(newFileList);
//     }
//   }, [form.getValues(name)]);
//   const onChange: UploadProps['onChange'] = async ({ fileList: newFileList }) => {   
//     // setFileList(newFileList);
//     // form.setValue(name,newFileList);
//     if(newFileList?.length!==0&&newFileList[newFileList?.length-1]?.originFileObj){
//       const file: any = newFileList[newFileList?.length-1]?.originFileObj;
//       const contentType = file?.name?.endsWith('.png') ? 'image/png' : 'image/jpeg';
//       try {
//          // Extract file extension
//       const currentTimestamp = Date.now();       
//       const fileExtension = file.name.split('.').pop(); 
//       const fileName = `${currentTimestamp}.${fileExtension}`;
//         // Upload file to Supabase storage
//         const { data, error } = await supabase.storage
//           .from('images')
//           .upload("temp/" + fileName, file as File, {
//             contentType: contentType
//           }) as { data: Data, error: any };
//         if (data) {
//           const newFileData = {
//             uid: newFileList[newFileList?.length-1]?.uid,
//             name: data?.fullPath || '',
//             status: 'done',
//             url: `${IMAGE_BASE_URL}${data?.fullPath}`,
//           } as UploadFile<any>; // Casting only the newFileData part
//           if (multiple === 1) {
//             form.setValue(name, [`${IMAGE_BASE_URL}${data.fullPath}`]);
//             setFileList([newFileData]);
//             form.clearErrors(name);
//           } else {
//     const previousValue = form.getValues(name) || [];
//     const updatedValue = [...previousValue, `${IMAGE_BASE_URL}${data.fullPath}`];
//     form.setValue(name, updatedValue);  
//             setFileList(prevFileList => [...prevFileList, newFileData]);
//             form.clearErrors(name);
//           }
//         } else {
//           console.error('Error uploading image:', error);
//         }
//       } catch (err) {
//         console.error('Error uploading image:', err);
//       }
//     }
//   };
//   const onRemove = async (file: UploadFile) => {
//     // Remove from local state
//     const newFileList = fileList.filter(item => item.uid !== file.uid);
//     setFileList(newFileList);
//     form.setValue(name, newFileList.map(f => f.url));
//     // Optionally, remove from Supabase storage
//     try {
//       const { error } = await supabase.storage
//         .from('images')
//         .remove([file.name]);  // Ensure the path is correct
//       if (error) {
//         throw error;
//       }
//     } catch (err) {
//       console.error('Failed to delete image:', err);
//       // Optionally, re-add the file to the list and notify the user
//     }
//   };
//   const onPreview = async (file: UploadFile) => {
//     let src = file.url as string;
//     if (!src) {
//       src = await new Promise((resolve) => {
//         const reader = new FileReader();
//         reader.readAsDataURL(file.originFileObj as File);
//         reader.onload = () => resolve(reader.result as string);
//       });
//     }
//     const image = new Image();
//     image.src = src;
//     const imgWindow = window.open(src);
//     imgWindow?.document.write(image.outerHTML);
//   };
//   return (
//     <FormField
//       control={form.control}
//       name={name}
//       render={() => (
//         <FormItem className="flex flex-col">
//           <FormLabel info={info} required={required}>{label}</FormLabel>
//           <ImgCrop>
//             <Upload
//               // action={action}
//               listType={listType}
//               fileList={fileList}
//               onChange={onChange}
//               onPreview={onPreview}
//               maxCount={multiple}
//               onRemove={onRemove}  
//               beforeUpload={(file) => {
//                 const isLessThan3MB = file.size / 1024 / 1024 < maxSize;
//                 // if (!isLessThan3MB) {
//                 //   message.error('Image must be smaller than 3MB!');
//                 // }
//                 return isLessThan3MB;
//               }}
//             >
//               {fileList.length < multiple && '+ Upload'}
//             </Upload>
//           </ImgCrop>
//           {/* <FormDescription>
//             {placeholder}
//           </FormDescription> */}
//           <FormMessage />
//         </FormItem>
//       )}
//     />
//   );
// };
// export default ImageUploader;
