import { __rest } from "tslib";
import * as React from "react";
import { cn } from "../../lib/utils";
const Input = React.forwardRef((_a, ref) => {
    var { className, type } = _a, props = __rest(_a, ["className", "type"]);
    const selectedValidationType = type || 'text';
    // const selectedValidationType = props?.pattern?"pattern": 'text';
    const handleInputChange = (e) => {
        const inputValue = e.target.value;
        let filteredValue = inputValue;
        console.log("maxLength", props, filteredValue);
        switch (selectedValidationType) {
            case 'text':
                filteredValue = inputValue.replace(props === null || props === void 0 ? void 0 : props.pattern, '').slice(0, (props === null || props === void 0 ? void 0 : props.maxLength) || 250);
                break;
            case 'string':
                filteredValue = inputValue.replace(props === null || props === void 0 ? void 0 : props.pattern, '').slice(0, (props === null || props === void 0 ? void 0 : props.maxLength) || 250);
                break;
            case 'number':
                filteredValue = parseInt(inputValue.replace(/[^0-9]/g, '').slice(0, (props === null || props === void 0 ? void 0 : props.maxLength) || 250));
                break;
            case 'decimal':
                filteredValue = inputValue.replace(/[^0-9.]/g, ''); // Allow only numeric characters and dot
                const dotIndex = filteredValue.indexOf('.');
                if (dotIndex !== -1) {
                    const parts = filteredValue.split('.');
                    filteredValue = parts[0] + '.' + parts[1].slice(0, 2); // Restrict to two characters after the dot
                }
                break;
            default:
                filteredValue = inputValue.slice(0, (props === null || props === void 0 ? void 0 : props.maxLength) || 250);
                break;
        }
        e.target.value = filteredValue;
    };
    return (<input type={type} className={cn("flex h-10 w-full rounded-md border border-input bg-background px-3 py-2 text-sm ring-offset-background file:border-0 file:bg-transparent file:text-sm file:font-medium placeholder:text-muted-foreground focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50", className)} ref={ref} onInput={handleInputChange} {...props}/>);
});
Input.displayName = "Input";
export { Input };
