import React from 'react';
import Select from 'react-select';
import { useFormContext } from 'react-hook-form';
const MultipleSelect = ({ name, options, placeholder, showOption, getByValue }) => {
    const { setValue, } = useFormContext();
    const handleSelect = (selectedOptions) => {
        if (typeof selectedOptions === "object" && getByValue) {
            console.log("selectedOptions", selectedOptions);
            const value = selectedOptions.map((item) => item.value[getByValue]);
            console.log("value", value);
            setValue(name, value);
        }
        else {
            const value = selectedOptions.map((item) => item.value);
            setValue(name, value);
        }
    };
    return (<div className="flex items-center space-x-2 relative">
        <Select options={options.map(item => {
            if (typeof item === 'object' && showOption !== undefined && showOption in item) {
                return {
                    label: item[showOption],
                    value: item
                };
            }
            else {
                return {
                    label: item,
                    value: item
                };
            }
        })} onChange={handleSelect} isMulti={true} className="w-full" placeholder={placeholder}/>
        <div>
        {/* {info && (
          <TooltipViwer info={info} />
        )} */}
                     </div></div>);
};
export { MultipleSelect }; // Make sure to export the component
