import React, { forwardRef, useEffect, useState } from "react";
import PhoneInput from 'react-phone-input-2';
import 'react-phone-input-2/lib/style.css';
import { useFormContext } from 'react-hook-form';
const MyPhonePicker = forwardRef((props) => {
    const { inputProps, name, initialCountry = 'in', defaultValues } = props;
    const { setValue, clearErrors, formState: { isSubmitted }, } = useFormContext();
    const [phoneValue, setPhoneValue] = useState('');
    const [formValue, setFormValues] = useState(false);
    const handleChange = (value, data) => {
        const dotCount = (data.format.match(/\./g) || []).length;
        const tempDotCount = dotCount <= 15 ? dotCount : 15;
        const countryCode = data.dialCode.replace(/[^0-9]/g, '');
        setPhoneValue(value);
        if (tempDotCount === (value === null || value === void 0 ? void 0 : value.length)) {
            setValue(name, value);
            clearErrors(name);
        }
        else {
            setValue(name, countryCode);
        }
    };
    useEffect(() => {
        if (isSubmitted) {
            setFormValues(true);
        }
        if (!isSubmitted && formValue) {
            setFormValues(false);
            setPhoneValue('91');
        }
    }, [isSubmitted]);
    return (<PhoneInput country={initialCountry} value={defaultValues ? defaultValues : phoneValue} countryCodeEditable={false} 
    // {...rest}
    inputProps={Object.assign(Object.assign({}, inputProps), { className: 'phone-input', 
            // required: true,
            // onInvalid: (e: { target: { setCustomValidity: (arg0: string) => any; }; }) => e.target.setCustomValidity('Please enter your phone number.'),
            // onInput: (e: { target: { setCustomValidity: (arg0: string) => any; }; }) => e.target.setCustomValidity(''),
            placeholder: 'Enter phone number', style: {
                width: '100%',
                fontSize: '15px',
                padding: '0.5rem 2.75rem 0.5rem 2.75rem',
                borderRadius: '5px',
                border: '1px solid #e5e7eb'
            } })} onChange={handleChange}/>);
});
MyPhonePicker.displayName = "MyPhonePicker";
export { MyPhonePicker };
