import React from 'react';
import Select from 'react-select';
import { useFormContext } from 'react-hook-form';
const SingleSelect = ({ name, options, placeholder, showOption, getByValue }) => {
    const { setValue, } = useFormContext();
    const handleSelect = (selectedOption) => {
        if (typeof selectedOption === "object" && getByValue) {
            const value = selectedOption.value[getByValue];
            setValue(name, value);
        }
        else {
            const value = selectedOption.value;
            setValue(name, value);
        }
    };
    return (<div className="flex items-center space-x-2 relative">
            <Select options={options.map(item => {
            if (typeof item === 'object' && showOption !== undefined && showOption in item) {
                return {
                    label: item[showOption],
                    value: item
                };
            }
            else {
                return {
                    label: item,
                    value: item
                };
            }
        })} className="w-full" onChange={handleSelect} placeholder={placeholder}/>            
        </div>);
};
export { SingleSelect }; // Make sure to export the component
