import React from 'react';
import { TimePicker } from 'antd';
import dayjs from 'dayjs'; // Import dayjs and Dayjs if not already imported
import moment from "moment";
const TimeRange = ({ minTime, maxTime, dateFieldName = 'defaultFieldName', defaultValue }) => {
    const selectedDefaultValue = defaultValue === null || defaultValue === void 0 ? void 0 : defaultValue[dateFieldName];
    // Convert start and end times to dayjs objects
    const defaultStartDate = (selectedDefaultValue === null || selectedDefaultValue === void 0 ? void 0 : selectedDefaultValue.startTime) ? dayjs(selectedDefaultValue.startTime, 'HH:mm:ss') : dayjs();
    const defaultEndDate = (selectedDefaultValue === null || selectedDefaultValue === void 0 ? void 0 : selectedDefaultValue.endTime) ? dayjs(selectedDefaultValue.endTime, 'HH:mm:ss') : dayjs();
    const minimumTime = moment(minTime, 'h:mm A');
    const maximumTime = moment(maxTime, 'h:mm A');
    const disabledHours = () => {
        const hours = []; // Explicitly type the array as number[]
        const minHour = Number(minimumTime.hour());
        const maxHour = Number(maximumTime.hour());
        for (let i = 0; i < 24; i++) {
            if (i < minHour || i > maxHour) {
                hours.push(i);
            }
        }
        return hours;
    };
    const disabledMinutes = (selectedHour) => {
        if (selectedHour === minimumTime.hour()) {
            const minutes = []; // Explicitly type the array as number[]
            for (let i = 0; i < 60; i++) {
                if (i < minimumTime.minute()) {
                    minutes.push(i);
                }
            }
            return minutes;
        }
        else if (selectedHour === maximumTime.hour()) {
            const minutes = []; // Explicitly type the array as number[]
            for (let i = 0; i < 60; i++) {
                if (i > maximumTime.minute()) {
                    minutes.push(i);
                }
            }
            return minutes;
        }
        return [];
    };
    const disabledSeconds = (selectedHour, selectedMinute) => {
        const seconds = []; // Explicitly type the array as number[]
        const minSecond = Number(minimumTime.second());
        const maxSecond = Number(maximumTime.second());
        if (selectedHour === minimumTime.hour() && selectedMinute === minimumTime.minute()) {
            for (let i = 0; i < 60; i++) {
                if (i < minSecond) {
                    seconds.push(i);
                }
            }
        }
        else if (selectedHour === maximumTime.hour() && selectedMinute === maximumTime.minute()) {
            for (let i = 0; i < 60; i++) {
                if (i > maxSecond) {
                    seconds.push(i);
                }
            }
        }
        return seconds;
    };
    const handleRangeChange = (_dates) => {
        // setRange(dates);
        console.log("testing");
    };
    return (<TimePicker.RangePicker defaultValue={[defaultStartDate, defaultEndDate]} 
    // value={range}
    onChange={() => handleRangeChange} disabledHours={disabledHours} disabledMinutes={disabledMinutes} disabledSeconds={disabledSeconds}/>);
};
export default TimeRange;
