import { __rest } from "tslib";
import { css } from '@stitches/core';
import { generateClassNames } from 'pasubot-auth-ui-shared';
const buttonDefaultStyles = css({
    fontFamily: '$buttonFontFamily',
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    gap: '8px',
    borderRadius: '$borderRadiusButton',
    fontSize: '$baseButtonSize',
    padding: '$buttonPadding',
    cursor: 'pointer',
    borderWidth: '$buttonBorderWidth',
    borderStyle: 'solid',
    width: '100%',
    transitionProperty: 'background-color',
    transitionTimingFunction: 'cubic-bezier(0.4, 0, 0.2, 1)',
    transitionDuration: '100ms',
    '&:disabled': {
        opacity: 0.7,
        cursor: 'unset',
    },
    variants: {
        color: {
            default: {
                backgroundColor: '$defaultButtonBackground',
                color: '$defaultButtonText',
                borderColor: '$defaultButtonBorder',
                '&:hover:not(:disabled)': {
                    backgroundColor: '$defaultButtonBackgroundHover',
                },
            },
            primary: {
                backgroundColor: '$brand',
                color: '$brandButtonText',
                borderColor: '$brandAccent',
                '&:hover:not(:disabled)': {
                    backgroundColor: '$brandAccent',
                },
            },
        },
    },
});
const Button = (_a) => {
    var _b;
    var { children, color = 'default', appearance, icon, loading = false } = _a, props = __rest(_a, ["children", "color", "appearance", "icon", "loading"]);
    const classNames = generateClassNames('button', buttonDefaultStyles({ color: color }), appearance);
    return (<button {...props} style={(_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.button} className={classNames.join(' ')} disabled={loading}>
      {icon}
      {children}
    </button>);
};
export { Button };
