import { __rest } from "tslib";
import { css } from '@stitches/core';
import { generateClassNames } from 'pasubot-auth-ui-shared';
const inputDefaultStyles = css({
    fontFamily: '$inputFontFamily',
    background: '$inputBackground',
    borderRadius: '$inputBorderRadius',
    padding: '$inputPadding',
    cursor: 'text',
    borderWidth: '$inputBorderWidth',
    borderColor: '$inputBorder',
    borderStyle: 'solid',
    fontSize: '$baseInputSize',
    width: '100%',
    color: '$inputText',
    boxSizing: 'border-box',
    '&:hover': {
        borderColor: '$inputBorderHover',
        outline: 'none',
    },
    '&:focus': {
        borderColor: '$inputBorderFocus',
        outline: 'none',
    },
    '&::placeholder': {
        color: '$inputPlaceholder',
        letterSpacing: 'initial',
    },
    transitionProperty: 'background-color, border',
    transitionTimingFunction: 'cubic-bezier(0.4, 0, 0.2, 1)',
    transitionDuration: '100ms',
    variants: {
        type: {
            default: {
                letterSpacing: '0px',
            },
            password: {
                letterSpacing: '0px',
            },
        },
    },
});
const Input = (_a) => {
    var _b;
    var { children, appearance } = _a, props = __rest(_a, ["children", "appearance"]);
    const classNames = generateClassNames('input', inputDefaultStyles({
        type: props.type === 'password' ? 'password' : 'default',
    }), appearance);
    return (<input {...props} style={(_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.input} className={classNames.join(' ')}>
      {children}
    </input>);
};
export { Input };
