import { __rest } from "tslib";
import { css } from '@stitches/core';
import { generateClassNames } from 'pasubot-auth-ui-shared';
const messageDefaultStyles = css({
    fontFamily: '$bodyFontFamily',
    fontSize: '$baseInputSize',
    marginBottom: '$labelBottomMargin',
    display: 'block',
    textAlign: 'center',
    borderRadius: '0.375rem',
    padding: '1.5rem 1rem',
    lineHeight: '1rem',
    color: '$messageText',
    backgroundColor: '$messageBackground',
    border: '1px solid $messageBorder',
    variants: {
        color: {
            danger: {
                color: '$messageTextDanger',
                backgroundColor: '$messageBackgroundDanger',
                border: '1px solid $messageBorderDanger',
            },
        },
    },
});
const Message = (_a) => {
    var _b;
    var { children, appearance } = _a, props = __rest(_a, ["children", "appearance"]);
    const classNames = generateClassNames('message', messageDefaultStyles({ color: props.color }), appearance);
    return (<span {...props} style={(_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.message} className={classNames.join(' ')}>
      {children}
    </span>);
};
export { Message };
